'use strict';var fetch=require('node-fetch'),cache=require('./cache.js');// import fetch from 'isomorphic-fetch';
async function fetchData(graphqlUrl, token, query, variables = {}) {
  const res = await fetch(graphqlUrl, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      Authorization: `Bearer ${token}`
    },
    body: JSON.stringify({
      query,
      variables
    }),
    redirect: 'follow'
  }).catch(err => console.log(err.message));
  if (res) {
    try {
      const data = await res.json();
      return data;
    } catch (err) {
      cache.default.push(variables.poolId || variables.userId);
      console.log('--errr', err);
      console.log('-data---', res);
    }
  }
  return {};
}exports.fetchData=fetchData;//# sourceMappingURL=nodeFetch.js.map
